# xview_semantic

Defined in `xtensor/core/xsemantic.hpp`

template<class D>
class xview_semantic : public xt::xsemantic_base<D>

  Implementation of the xsemantic_base interface for multidimensional views.

  The xview_semantic is an implementation of the xsemantic_base interface for multidimensional views.

  Template Parameters:

    D – the derived type

  Subclassed by xt::xdynamic_view< uvt, S, L, typename FST::template rebind_t< uvt > >, xt::xdynamic_view< uft, S, L, typename FST::template rebind_t< uft > >, xt::xdynamic_view< ucvt, S, L, typename FST::template rebind_t< ucvt > >, xt::xdynamic_view< ucft, S, L, typename FST::template rebind_t< ucft > >, xt::xdynamic_view< CT, S, L, FST >, xt::xdynamic_view< E, S, L, typename FST::template rebind_t< E > >, xt::xfunctor_view< F, uvt >, xt::xfunctor_view< F, ucvt >, xt::xfunctor_view< F, E >, xt::xfunctor_view< detail::offset_forwarder< M, I >, CT >, xt::xindex_view< uvt, I >, xt::xindex_view< uft, I >, xt::xindex_view< ucvt, I >, xt::xindex_view< ucft, I >, xt::xindex_view< E, I >, xt::xstrided_view< uvt, S, L, typename FST::template rebind_t< uvt > >, xt::xstrided_view< uft, S, L, typename FST::template rebind_t< uft > >, xt::xstrided_view< ucvt, S, L, typename FST::template rebind_t< ucvt > >, xt::xstrided_view< ucft, S, L, typename FST::template rebind_t< ucft > >, xt::xstrided_view< CT, shape_type >, xt::xstrided_view< CT, S, L, FST >, xt::xstrided_view< E, S, L, typename FST::template rebind_t< E > >, xt::xtensor_view< EC, N, L, xoptional_expression_tag >, xt::xview< uvt, S… >, xt::xview< uft, S… >, xt::xview< ucvt, S… >, xt::xview< ucft, S… >, xt::xview< E, S… >, xt::xdynamic_view< CT, S, L, FST >, xt::xstrided_view< CT, S, L, FST >

  Assign functions

  inline derived_type &assign_temporary(temporary_type&&)

    Assigns the temporary `tmp` to `*this`.

    Parameters:

      tmp – the temporary to assign.

    Returns:

      a reference to `*this`.